aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mm
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2017-02-24 15:15:37 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-02-24 15:15:37 +0000
commitb89a95dca2e352591a3bad236e3fd5fb36cc5cef (patch)
tree499136908041106dfe4a4c5a0ef4960c2876cf29 /testing/mm
parent8fdd80dc5a4cf8203e98e371b5d876cdb616e56a (diff)
downloadaports-b89a95dca2e352591a3bad236e3fd5fb36cc5cef.tar.bz2
aports-b89a95dca2e352591a3bad236e3fd5fb36cc5cef.tar.xz
testing/mm: fix build on aarch64
Diffstat (limited to 'testing/mm')
-rw-r--r--testing/mm/APKBUILD12
1 files changed, 10 insertions, 2 deletions
diff --git a/testing/mm/APKBUILD b/testing/mm/APKBUILD
index 7b67f786a1..b909fc0671 100644
--- a/testing/mm/APKBUILD
+++ b/testing/mm/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Valery Kartel <valery.kartel@gmail.com>
pkgname=mm
pkgver=1.4.2
-pkgrel=0
+pkgrel=1
pkgdesc="A shared memory abstraction library"
url="http://www.ossp.org/pkg/lib/mm/"
arch="all"
@@ -13,9 +13,17 @@ subpackages="$pkgname-dev $pkgname-doc"
source="ftp://ftp.ossp.org/pkg/lib/$pkgname/$pkgname-$pkgver.tar.gz"
builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$builddir"
+ update_config_sub || return 1
+}
+
build() {
cd "$builddir"
- ./configure --prefix=/usr || retrun 1
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr || return 1
make || return 1
}